## libxau 1.0.6-1-meego1141%2b0m6

=== debian/changelog ===
libxau (2:1.0.6-1-meego1141+0m6) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 2:1.0.6-1-meego1141+0m6

 -- BIFH Bot <sysint@maemo.research.nokia.com>  Mon, 04 Apr 2011 13:31:29 +0300

libxau (2:1.0.6-1-meego1141) unstable; urgency=low

  * Synchronized with upstream.
  * Heap corruption fix for XauFileName.
    Fixes: NB#239465 - heap corruption in multithreaded xlib/xcb client

 -- Rami Ylimäki <rami.ylimaki@vincit.fi>  Mon, 04 Apr 2011 13:31:28 +0300

libxau (2:1.0.6-1-meego392) unstable; urgency=low

  * Add debian/api file for API management

 -- Tapani Pälli <tapani.palli@nokia.com>  Tue, 05 Oct 2010 15:04:04 +0300

libxau (2:1.0.6-1-meego391) unstable; urgency=low

  * debian: Nokia debianization

 -- Julien Cristau <jcristau@debian.org>  Fri, 01 Oct 2010 14:50:04 +0300

libxau (2:1.0.6-1) unstable; urgency=low

  * New upstream release
    - manpage fixes (closes: #583599).  Thanks, Tom Fogal!
  * Drop Pre-Depends on x11-common, only necessary for upgrades from sarge.
  * Bump build-dependency on xutils-dev for util-macros 1.4.
  * Bump Standards-Version to 3.9.0.

 -- Julien Cristau <jcristau@debian.org>  Sat, 24 Jul 2010 11:43:07 +0200

libxau (1:1.0.5-2) unstable; urgency=low

  [ Julien Cristau ]
  * Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
    good reason.  Thanks, Colin Watson!
  * Remove myself from Uploaders

  [ Cyril Brulebois ]
  * Add udeb needed for the graphical installer: libxau6-udeb.
  * Add myself to Uploaders.
  * Bump Standards-Version from 3.8.3 to 3.8.4 (no changes needed).
  * Add ${misc:Depends} to non-udeb binaries, and wrap Depends.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 09 Mar 2010 02:21:32 +0100

libxau (1:1.0.5-1) unstable; urgency=low

  * New upstream release
  * Update xsfbs to 5693792171d885769e58dcccc053c08b11acd12a
    + README.source lets us bump standards version to 3.8.3.0
  * Change -dbg package to "debug" section
  * Delete autogen.sh, which gets installed at build time

 -- David Nusinow <dnusinow@debian.org>  Mon, 14 Sep 2009 21:37:57 -0400

libxau (1:1.0.4-2) unstable; urgency=low

  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Mon, 16 Feb 2009 19:02:29 +0100

libxau (1:1.0.4-1) experimental; urgency=low

  [ Brice Goglin ]
  * Add upstream URL to debian/copyright.
  * Add a link to www.X.org and a reference to the upstream module
    in the long description.

  [ Timo Aaltonen ]
  * New upstream release.

  [ Julien Cristau ]
  * Run autoreconf on build, add build-deps on automake, autoconf, libtool and
    xutils-dev.
  * Handle parallel builds.

 -- Julien Cristau <jcristau@debian.org>  Fri, 19 Dec 2008 13:11:10 +0100

libxau (1:1.0.3-3) unstable; urgency=low

  * Remove Branden from Uploaders with his permission.
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.7.3.
  * Drop the XS- prefix from Vcs-* control fields.
  * libxau6{,-dbg} don't need to depend on x11-common.
  * Use ${binary:Version} instead of the deprecated ${Source-Version}.

 -- Julien Cristau <jcristau@debian.org>  Fri, 16 May 2008 15:15:13 +0200

libxau (1:1.0.3-2) unstable; urgency=low

  * Remove Fabio from Uploaders, with his permission.
  * Add XS-Vcs-Browser.
  * Put binary packages in the correct sections.
  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Wed, 11 Apr 2007 17:31:27 +0200

libxau (1:1.0.3-1) experimental; urgency=low

  [ Julien Cristau ]
  * New upstream release.
  * Drop outdated CVS info from the descriptions and add XS-Vcs-Git.
  * Install the upstream changelog.

 -- David Nusinow <dnusinow@debian.org>  Thu,  8 Feb 2007 21:21:05 -0500

libxau (1:1.0.1-2) unstable; urgency=low

  [ David Nusinow ]
  * Run dh_install with --list-missing

  [ Andres Salomon ]
  * Test for obj-$(DEB_BUILD_GNU_TYPE) before creating it during build;
    idempotency fix.

  [ Drew Parsons ]
  * dbg package has priority extra.

 -- David Nusinow <dnusinow@debian.org>  Tue, 29 Aug 2006 19:52:49 +0000

libxau (1:1.0.1-1) experimental; urgency=low

  * New upstream version
  * Set up package to be able to use patches even if we're not currently
    shipping any. Add quilt to build-dep to deal.
  * Autoreconf to fix manpage sections (closes: #376026, #356545)
  * Remove duplicate x11-common depends from libxau-dev
  * Version x11-common pre-dep in libxau-dev to 1:7.0.0 to match the rest of
    Debian and shut lintian up
  * Bump standards version to 3.7.2.0
  * Bump debhelper compat to 5

 -- David Nusinow <dnusinow@debian.org>  Sun,  2 Jul 2006 21:23:08 -0400

libxau (1:1.0.0-4) unstable; urgency=low

  * Build with LIB_MAN_SUFFIX=3 so that manual pages have a .3 extension
    insteod of .3x.  Closes: #356545, #368165
  * Bump Standards-Version: 3.7.2, no changes needed.
  * Clean out Depends fields in debian/control, drop all ${misc:Depends}
    substitutions, and libxau-dev does not need ${shlibs:Depends} and
    x11-common (the latter because it Pre-Depends on it).
  * Lintian wants libxau-dev Pre-Depends: x11-common (>= 1:7.0.0)
    so bump x11-common version to this value.

 -- Denis Barbier <barbier@debian.org>  Mon, 14 Aug 2006 20:10:31 +0200

libxau (1:1.0.0-3) unstable; urgency=low

  * Reorder makeshlib command in rules file so that ldconfig is run
    properly. Thanks Drew Parsons and Steve Langasek.

 -- David Nusinow <dnusinow@debian.org>  Tue, 18 Apr 2006 21:49:56 -0400

libxau (1:1.0.0-2) unstable; urgency=low

  * Upload to unstable

 -- David Nusinow <dnusinow@debian.org>  Thu, 23 Mar 2006 22:44:28 -0500

libxau (1:1.0.0-1) experimental; urgency=low

  * First upload to Debian

 -- David Nusinow <dnusinow@debian.org>  Thu, 29 Dec 2005 20:51:23 -0500

libxau (1:0.1.2-2) breezy; urgency=low

  * Add build dependencies: pkg-config, x11proto-core-dev
  * Change Build-Depends-Indep to Build-Depends.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 May 2005 20:17:11 +0000

libxau (1:0.1.2-1) breezy; urgency=low


