=== debian/control ===
Source: libxau
Section: x11
Priority: optional
Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: David Nusinow <dnusinow@debian.org>, Cyril Brulebois <kibi@debian.org>
Build-Depends: debhelper (>= 5.0.0), pkg-config, x11proto-core-dev, quilt, autoconf2.64, automake1.10-autoconf264, libtool, xutils-dev (>= 1:7.5+1), maemo-optify
Standards-Version: 3.9.0
Vcs-Git: git://git.debian.org/git/pkg-xorg/lib/libxau
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/lib/libxau.git

Package: libxau6
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: X11 authorisation library
 This package provides the main interface to the X11 authorisation handling,
 which controls authorisation for X connections, both client-side and
 server-side.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libXau

Package: libxau6-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}
Description: X11 authorisation library
 This is a udeb, or a microdeb, for the debian-installer.

Package: libxau6-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, libxau6 (= ${binary:Version}),
Description: X11 authorisation library (debug package)
 This package provides the main interface to the X11 authorisation handling,
 which controls authorisation for X connections, both client-side and
 server-side.
 .
 This package contains the debug versions of the library found in libxau6.
 Non-developers likely have little use for this package.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libXau

Package: libxau-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxau6 (= ${binary:Version}), x11proto-core-dev,
Description: X11 authorisation library (development headers)
 This package provides the main interface to the X11 authorisation handling,
 which controls authorisation for X connections, both client-side and
 server-side.
 .
 This package contains the development headers for the library found in libxau6.
 Non-developers likely have little use for this package.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libXau
