## libxau 1.0.6-1-meego1141%2b0m6maemo1

=== debian/changelog ===
libxau (2:1.0.6-1-meego1141+0m6maemo1) fremantle; urgency=high
  * Made it conflict with previous libxau6 as causes reboot loop to some.
 -- Marcin Mielniczuk <marmistrz@linux.pl>  Sat, 28 Apr 2012 15:18:21 +0200
