=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libxau6 (<< 1.0.6)
 Description: X11 authorisation library
  This package provides the main interface to the X11 authorisation handling,
  which controls authorisation for X connections, both client-side and
@@ -29,6 +30,7 @@
 Section: debian-installer
 Architecture: any
 Depends: ${shlibs:Depends}
+Conflicts: libxau6-udeb (<< 1.0.6)
 Description: X11 authorisation library
  This is a udeb, or a microdeb, for the debian-installer.
 
@@ -36,7 +38,8 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${shlibs:Depends}, ${misc:Depends}, libxau6 (= ${binary:Version}),
+Conflicts: libxau6-dbg (<< 1.0.6)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libxau6 (= ${binary:Version})
 Description: X11 authorisation library (debug package)
  This package provides the main interface to the X11 authorisation handling,
  which controls authorisation for X connections, both client-side and
@@ -55,6 +58,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libxau6 (= ${binary:Version}), x11proto-core-dev,
+Conflicts: libxau-dev (<< 1.0.6)
 Description: X11 authorisation library (development headers)
  This package provides the main interface to the X11 authorisation handling,
  which controls authorisation for X connections, both client-side and
