## libxau 1.0.8.1

=== debian/changelog ===
libxau (1:1.0.8.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 086e3c14346feee87a6aa0f9bd8ac267a01514b7']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 20:08:19 +0000
