=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,6 @@
 
 include debian/xsfbs/xsfbs.mk
 
-CFLAGS = -Wall -g
-ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	MAKEFLAGS += -j$(NUMJOBS)
@@ -26,6 +20,7 @@
 DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
 	confflags += --build=$(DEB_HOST_GNU_TYPE)
 else
@@ -33,7 +28,7 @@
 endif
 
 configure: $(STAMP_DIR)/patch
-	autoreconf -v -f -i
+	autoreconf -vfi
 
 build/config.status: configure
 	mkdir -p build
@@ -42,10 +37,16 @@
 	  --prefix=/usr \
 	  --mandir=\$${prefix}/share/man \
 	  --infodir=\$${prefix}/share/info \
+	  --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
+	  --disable-silent-rules \
 	  $(confflags) \
-	  CFLAGS="$(CFLAGS)"
+	  $(shell DEB_CFLAGS_MAINT_APPEND=-Wall dpkg-buildflags --export=configure)
 
-build: build-stamp
+build: build-indep build-arch
+build-indep:
+build-arch: build-stamp
+.PHONY: build build-indep build-arch
+
 build-stamp: build/config.status
 	dh_testdir
 
@@ -55,18 +56,15 @@
 
 clean: xsfclean
 	dh_testdir
-	dh_testroot
 	rm -f build-stamp
-
 	rm -f config.cache config.log config.status
 	rm -f */config.cache */config.log */config.status
 	rm -f conftest* */conftest*
 	rm -rf autom4te.cache */autom4te.cache
 	rm -rf build
-	rm -f $$(find -name Makefile.in)
+	find -name Makefile.in -delete
 	rm -f compile config.guess config.sub configure depcomp install-sh
 	rm -f ltmain.sh missing INSTALL aclocal.m4 mkinstalldirs config.h.in
-
 	dh_clean
 
 install: build
@@ -83,17 +81,17 @@
 	dh_testroot
 
 	dh_installdocs
-	dh_install --sourcedir=debian/tmp --list-missing
-	dh_installchangelogs ChangeLog
+	dh_install --list-missing
+	dh_installchangelogs
 	dh_link
-	dh_strip --dbg-package=$(PACKAGE)-dbg
+	dh_strip -p$(PACKAGE) --dbg-package=$(PACKAGE)-dbg
+	dh_strip -N$(PACKAGE)
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs --add-udeb=$(PACKAGE)-udeb
 	dh_shlibdeps
 	dh_installdeb
 	dh_gencontrol
-	maemo-optify
 	dh_md5sums
 	dh_builddeb
 
@@ -102,4 +100,4 @@
 # Nothing to do
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+.PHONY: clean binary-indep binary-arch binary install
