=== debian/watch ===
#git=git://anongit.freedesktop.org/xorg/lib/libXau
version=3
http://xorg.freedesktop.org/releases/individual/lib/ libXau-(.*)\.tar\.gz
